
Figure - Bug #111623
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

【BSP】【EVT】【WIFI】【必现】iperf3测试UDP下吞吐率，丢包率将近60%
2022-09-01 14:52 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-09-01

Priority: High Due date:

Assignee: SZTS_TEST 邹涛 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: 0.0.0.20220830_alpha_007

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause: 复测pass

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

2、DUT和pc处于同一局域网

3、路由器lan口设置网段为10.0.0.xxx

操作步骤：

1、dut安装iperf应用

2、dut执行iperf3 -s -i 1

3、PC端执行iperf3 -c 10.0.0.106 -u -b 300M -t 30 -i 1 -P 8

4、PC端执行iperf3 -c 10.0.0.106 -u -b 1000M -t 30 -i 1 -P 8

实际结果：

1、查看pc端输出结果，丢包率将近60%

预期结果：

1、丢包率在2%

History

#1 - 2022-09-05 14:41 - CD LC-徐玺栋

- Status changed from New to ASSIGNED

#2 - 2022-09-14 11:08 - CD TPM-申艳艳

- Category set to LC

#3 - 2022-09-21 16:12 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC-徐玺栋 to SZTS_TEST 邹涛

请帮确认以下细节

实测结果　1、查看pc端输出结果，丢包率将近60%
PC是Client端，DUT是Server端，UDP的测试结果需要看接收端，这里接收端是DUT，请问DUT上显示的速率是多少?

丢包率将近60%

对于UDP，超过带宽发包场景，会有丢包，这里看不出是正常或者异常．

请问TCP的上下行测试结果是?

丢包率在2%

测试UDP丢包率,发包速率不能超过　实际的传输规格．

请问这个测试下协商速率是多少？（判断1*1设置是否生效？）

#4 - 2022-09-23 14:53 - CD LC-徐玺栋

■ My analysis

 从结果看，840Mbps左右，只是Client侧的发送速率，其丢包率是发送端的,实际的Throughput是338Mbps,udp处理不过来, 会发生丢包,60%丢包现象　

对UDP看不出异常

■ Next action

从目前测试结果看，对UDP减少丢包，建议使用下面指令：

iperf3 -c 10.0.0.106 -u -b 350M -t 30 -i 1

#5 - 2022-09-27 10:00 - CDTS_TEST 王成

- Target version set to VX1_MCE_FSE_V2.0_20220930

#6 - 2022-09-28 18:19 - SZTS_TEST 邹涛

0924release分支user版本上使用整机复测吞吐率指标符合内部标准

#7 - 2022-09-28 18:20 - SZTS_TEST 邹涛

- Status changed from NEED_INFO to RESOLVED

#8 - 2022-09-28 18:24 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#9 - 2022-09-28 18:29 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#10 - 2022-09-29 16:25 - CD LC-徐玺栋

- Resolution changed from -- to FIXED

- Root cause set to 复测pass
